<?xml version='1.0' encoding='UTF-8' standalone='yes' ?>
<tagfile>
  <compound kind="file">
    <name>TftpAgent.cc</name>
    <path>/home/abuild/rpmbuild/BUILD/yast2-transfer-3.1.2/agent-tftp/src/</path>
    <filename>TftpAgent_8cc</filename>
    <includes id="TftpAgent_8h" name="TftpAgent.h" local="yes" imported="no">TftpAgent.h</includes>
    <member kind="define">
      <type>#define</type>
      <name>RESERVE_BUFFER</name>
      <anchorfile>TftpAgent_8cc.html</anchorfile>
      <anchor>abe9a04dcec98733c68ce91900714be47</anchor>
      <arglist>(buffer, len)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static char *</type>
      <name>xstrdup</name>
      <anchorfile>TftpAgent_8cc.html</anchorfile>
      <anchor>abb5d2699a3d48d86e91f2edb8d0ccd12</anchor>
      <arglist>(const char *s)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>tftp</name>
      <anchorfile>TftpAgent_8cc.html</anchorfile>
      <anchor>a3881d9ba23e70310809decf73b5b8fb5</anchor>
      <arglist>(const int cmd, const struct hostent *host, const char *serverfile, int localfd, const int port, int tftp_bufsize)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>dotftp</name>
      <anchorfile>TftpAgent_8cc.html</anchorfile>
      <anchor>abcea531346523d8f2e1b88a5be74e3d9</anchor>
      <arglist>(char *serverstr, char *localfile, char *action)</arglist>
    </member>
    <member kind="function">
      <type>string</type>
      <name>getValue</name>
      <anchorfile>TftpAgent_8cc.html</anchorfile>
      <anchor>a2d8cedb846cde9e7230db88c5c6c0c74</anchor>
      <arglist>(const YCPMap map, const string key)</arglist>
    </member>
    <member kind="variable" static="yes">
      <type>static const char *</type>
      <name>tftp_error_msg</name>
      <anchorfile>TftpAgent_8cc.html</anchorfile>
      <anchor>a78de516643c8b2127f60791998e138a6</anchor>
      <arglist>[]</arglist>
    </member>
    <member kind="variable">
      <type>const int</type>
      <name>tftp_cmd_get</name>
      <anchorfile>TftpAgent_8cc.html</anchorfile>
      <anchor>a3c33f68071a91642d923edcf7764123d</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>const int</type>
      <name>tftp_cmd_put</name>
      <anchorfile>TftpAgent_8cc.html</anchorfile>
      <anchor>afca16e68112b322abf2cc8989cd03e4e</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="file">
    <name>TftpAgent.h</name>
    <path>/home/abuild/rpmbuild/BUILD/yast2-transfer-3.1.2/agent-tftp/src/</path>
    <filename>TftpAgent_8h</filename>
    <class kind="class">TftpAgent</class>
  </compound>
  <compound kind="file">
    <name>Y2CCTftpAgent.cc</name>
    <path>/home/abuild/rpmbuild/BUILD/yast2-transfer-3.1.2/agent-tftp/src/</path>
    <filename>Y2CCTftpAgent_8cc</filename>
    <includes id="TftpAgent_8h" name="TftpAgent.h" local="yes" imported="no">TftpAgent.h</includes>
    <member kind="typedef">
      <type>Y2AgentComp&lt; TftpAgent &gt;</type>
      <name>Y2TftpAgentComp</name>
      <anchorfile>Y2CCTftpAgent_8cc.html</anchorfile>
      <anchor>a28af77b69cda2447f03ec34c35364a73</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable">
      <type>Y2CCAgentComp&lt; Y2TftpAgentComp &gt;</type>
      <name>g_y2ccag_tftp</name>
      <anchorfile>Y2CCTftpAgent_8cc.html</anchorfile>
      <anchor>a850c17ca86944d5dc20f3adfc72ee30b</anchor>
      <arglist>(&quot;ag_tftp&quot;)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>TftpAgent</name>
    <filename>classTftpAgent.html</filename>
    <base>SCRAgent</base>
    <member kind="function">
      <type></type>
      <name>TftpAgent</name>
      <anchorfile>classTftpAgent.html</anchorfile>
      <anchor>a6c29d7b233cf04d3bd83e1fbf64d643d</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~TftpAgent</name>
      <anchorfile>classTftpAgent.html</anchorfile>
      <anchor>a6a5a0bd0f0267e4fc362da5564dbde51</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual YCPValue</type>
      <name>Read</name>
      <anchorfile>classTftpAgent.html</anchorfile>
      <anchor>a28e053ab277c78616d151ae0e9fcee86</anchor>
      <arglist>(const YCPPath &amp;path, const YCPValue &amp;arg=YCPNull(), const YCPValue &amp;opt=YCPNull())</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual YCPValue</type>
      <name>Execute</name>
      <anchorfile>classTftpAgent.html</anchorfile>
      <anchor>a4fb505cf1d4e250be679ec6f40d00c76</anchor>
      <arglist>(const YCPPath &amp;path, const YCPValue &amp;value, const YCPValue &amp;arg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual YCPBoolean</type>
      <name>Write</name>
      <anchorfile>classTftpAgent.html</anchorfile>
      <anchor>aba34ae690a68ee921bf6b7484ea4b439</anchor>
      <arglist>(const YCPPath &amp;path, const YCPValue &amp;value, const YCPValue &amp;arg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual YCPList</type>
      <name>Dir</name>
      <anchorfile>classTftpAgent.html</anchorfile>
      <anchor>ab7f38dbcae81dd2cc6f77de15202ee1d</anchor>
      <arglist>(const YCPPath &amp;path)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual YCPValue</type>
      <name>otherCommand</name>
      <anchorfile>classTftpAgent.html</anchorfile>
      <anchor>a9b4c4c18616bf46bbba5a6e62c755917</anchor>
      <arglist>(const YCPTerm &amp;term)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>src</name>
    <path>/home/abuild/rpmbuild/BUILD/yast2-transfer-3.1.2/agent-tftp/src/</path>
    <filename>dir_68267d1309a1af8e8297ef4c3efbcdba.html</filename>
    <file>TftpAgent.cc</file>
    <file>TftpAgent.h</file>
    <file>Y2CCTftpAgent.cc</file>
  </compound>
</tagfile>
